Bug Hunting Session
Bug 87292 - path to the file with the Cyrillic alphabet is percent-encoded
Summary: path to the file with the Cyrillic alphabet is percent-encoded
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.5.2 release
Hardware: Other Windows (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 ta...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-13 19:29 UTC by Roman Kuznetsov
Modified: 2019-10-10 09:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
screenshot of message (45.02 KB, image/png)
2014-12-13 19:29 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2014-12-13 19:29:32 UTC
Created attachment 110825 [details]
screenshot of message

LO 4.3.5.2 (locale ru_RU), Writer, Windows 7 x86_64.
ID build: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

Menu Insert-Image-From file, select image, bottom dialog activate Link option, push Open. Message appears to confirm the insertion of link. Then look at the screenshot - path to the file with the Cyrillic alphabet looks set of characters.
Comment 1 Urmas 2014-12-13 21:36:51 UTC
Confirmed in master.
Comment 2 Commit Notification 2014-12-15 09:24:35 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=efe3e06dd1b99215d82b6373aa7434a8f25a22f2

fdo#87292 use system dependent path instead of file URL

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2014-12-15 10:46:10 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=935bb47c1ac4d8fc0ccda475c531ff7cd9d97e35&h=libreoffice-4-4

fdo#87292 use system dependent path instead of file URL

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-01-07 13:32:32 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab5e09164df88bbfe6060d095678b20898fcec3e&h=libreoffice-4-3

fdo#87292 use system dependent path instead of file URL

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.